# Hesabe Payment Gateway Plugin

A flutter plugin for integrating Hesabe payment gateway. Supports Android and iOS. 

### Installing
Add this in pubspec.yaml
```
  dependencies:
    flutter_hesabe_payment: ^1.0.0
```
### iOS 9+ Specific
ios developers should add the following to their plist
```
<key>NSAppTransportSecurity</key>
<dict>
    <key>NSAllowsArbitraryLoads</key>
    <true/>
    <key>NSAllowsArbitraryLoadsForMedia</key>
    <true/>
    <key>NSAllowsArbitraryLoadsInWebContent</key>
    <true/>
</dict>
```

### Using
```
import 'package:flutter_hesabe_payment/flutter_hesabe_payment.dart';
```

```
startpayment() async {
    //Testing Credentials
    String credUrl = "http://api.hesbstck.com";
    String name = "JP";
    double price = 111.0;

    var response ;
    Map<dynamic, dynamic> map = {"cred_url":credUrl,
                                "name":name,
                                "price":price,
                                };
    try {
           response = await FlutterMyfatoorah.payment(map);
        } on PlatformException {
            print('error');
        }
}
```
See the ```example``` directory for a complete sample app.

### Responses :
```
Sucess Response:
    all data about payment done in json string format

Error Response:
    cancelled by user: {"Error":"Payment Cancelled"}
  
    Gateway Errors: {"Error":"ssl error","responseCode":"500"}
```



